Description

kdump is not scheduled for aarch64, but itr should be for SLE15 and up, see reference run https:/openga.suse.de/tests/2540047.

# kdump is not supported on aarch64 (bsc#990418), and Xen PV (feature not implemented)
sub kdump_is_applicable {
return !check_var ('ARCH', 'aarcho64') && !check_var ('VIRSH_VMM_TYPE', 'linux');

Statement and code is not valid anymore. | reached guys on #arm channel for clarification:

matthias_bgg | pcervinka, we support kdump since slel2-sp3 AFAIR

pcervinka | matthias_bgg: ok, thx for the comfirmation, it means that i need to update out openga
tests, as this bug is still referred and kdump disabled by default for aarché64

matthias_bgg | pcervinka, hm, after looking at the bug, I think kdump was only a technology previe

w in SLE12-SP3 but supported from SLE1l5 onwards

Expected result:
kdump should be enabled and validated on aarch64 for SLE>=15.

History

#2 - 2019-03-15 09:09 - pcervinka

- Assignee set to pcervinka

#3 - 2019-03-18 08:58 - pcervinka

- Status changed from New to In Progress

#4 - 2019-03-18 19:23 - pcervinka
PR: https://gith

#5 - 2019-03-19 10:42 - pcervinka

- Status changed from In Progress to Feedback

PR was merged, verification run was done on osd: https://openga.suse.de/tests/2567158#.

#6 - 2019-03-19 11:00 - pcervinka

- Status changed from Feedback to Resolved
